Bug 1119259 - iguanaIR-1.1.0 is available
Summary: iguanaIR-1.1.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iguanaIR
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:43 UTC by Upstream Release Monitoring
Modified: 2014-10-08 19:13 UTC (History)
3 users (show)

Fixed In Version: iguanaIR-1.1.0-11.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-08 19:13:40 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-07-14 11:43:15 UTC
Latest upstream release: 1.1.0
Current version/release in Fedora Rawhide: 1.0.5-3.fc21
URL: http://iguanaworks.net/files/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Alec Leamas 2014-07-27 14:57:11 UTC
Been on holidays, will look into this after fixing other stuff.

Comment 2 Martin Janser 2014-08-18 11:22:16 UTC
What's the current status of this? Can I help somehow with the update?

Comment 3 Alec Leamas 2014-08-18 11:52:22 UTC
I have just discovered the this is an (unintentional) ABI bump. Hesitating how to cope with it, but the most natural thing seems to be to only push it to rawhide/f21.

I have no specific bugs filed on current package.  A new  version is pushed top rawhide. Considering what to do with other branches.

If you could test the update in rawhide it would be very helpful! You'll need to rebuild (or at least relink) lirc against the new version due to the  ABI bump.

Comment 4 Alec Leamas 2014-08-18 12:43:56 UTC
OK, I have rebuilt lirc in rawhide to match the iguanaIR ABI. Please use lirc-0.9.0-28.fc22.

Comment 5 Alec Leamas 2014-08-18 14:06:53 UTC
I will not update other branches until we have a new lirc update (upstream 0.9.1a is pending) and we have some test results.

Comment 6 Alec Leamas 2014-08-19 21:07:13 UTC
Oops, shot myself in the foot. 1.1.0 contains an unannounced (and probably unintended) ABI bump, if you can call a soname change from IGUANAIR_0 to libiguanair.so.0 a 'bump'. 

Backing out 1.1.0 from rawhide, will need a separate buildroot to fix this. To be continued...

Comment 7 Fedora Update System 2014-09-12 11:08:07 UTC
iguanaIR-1.1.0-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/iguanaIR-1.1.0-11.fc21

Comment 8 Fedora Update System 2014-09-12 17:47:02 UTC
Package iguanaIR-1.1.0-11.fc21, lirc-0.9.1a-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iguanaIR-1.1.0-11.fc21 lirc-0.9.1a-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10763/lirc-0.9.1a-4.fc21,iguanaIR-1.1.0-11.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-10-08 19:13:40 UTC
iguanaIR-1.1.0-11.fc21, lirc-0.9.1a-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.